#pragma once

#include "SDL2/SDL.h"

namespace App
{
class Controller 
{
private:
    SDL_Event*          m_lastEvent;
    Uint32              m_lastCommand;

public:
    Controller();
    Uint32 HandleEvent(SDL_Event *event);
    ~Controller();
};
} // namespace App
